> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a payment run



## OpenAPI

````yaml openapi-owners.json POST /v1/payment_runs
openapi: 3.1.0
info:
  title: Yorlet Owners API
  description: APIs for managing owner payouts, payment runs, transfers, and tax forms.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/payment_runs:
    post:
      tags:
        - Payment Runs
      summary: Create a payment run
      operationId: payment_runs_create
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                currency:
                  type: string
                  enum:
                    - gbp
                    - usd
                    - eur
                    - sek
                  description: >-
                    Three-letter ISO currency code, in lowercase. Must be a
                    supported currency.
                  example: gbp
                description:
                  type: string
                  description: >-
                    An arbitrary string attached to the object. Often useful for
                    displaying to users.
                metadata:
                  type:
                    - object
                    - 'null'
                  additionalProperties:
                    type: string
                  description: >-
                    Set of key-value pairs that you can attach to an object.
                    This can be useful for storing additional information about
                    the object in a structured format.
                method:
                  type: string
                  enum:
                    - manual
                    - automatic
                  description: The method used to issue payouts in the payment run.
                region:
                  type: string
                  enum:
                    - all
                    - domestic
                    - international
                  description: The region of payouts to include in this payment run.
                type:
                  type: string
                  enum:
                    - all
                    - landlord
                    - supplier
                  description: The type of payment run to create.
              required:
                - currency
                - type
      responses:
        '200':
          description: Returns the created payment run.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the object.
                  created:
                    type: number
                    description: >-
                      Time at which the object was created. Measured in seconds
                      since the Unix epoch.
                  account:
                    type: string
                    description: >-
                      The account that the object belongs to. Only returned if
                      the request is made with a valid Yorlet-Context header.
                  deleted:
                    type: boolean
                    default: false
                    description: Only returned if the object has been deleted.
                  object:
                    type: string
                    enum:
                      - payment_run
                  amount:
                    type: number
                    description: The total amount of all payouts in the payment run.
                  approved_at:
                    type:
                      - integer
                      - 'null'
                    description: The time at which the payment run was approved.
                  completed_at:
                    type:
                      - integer
                      - 'null'
                    description: The time at which the payment run completed.
                  currency:
                    type: string
                    enum:
                      - gbp
                      - usd
                      - eur
                      - sek
                    description: >-
                      Three-letter ISO currency code, in lowercase. Must be a
                      supported currency.
                    example: gbp
                  description:
                    type:
                      - string
                      - 'null'
                    description: >-
                      An arbitrary string attached to the object. Often useful
                      for displaying to users.
                  metadata:
                    type:
                      - object
                      - 'null'
                    additionalProperties:
                      type: string
                    description: >-
                      Set of key-value pairs that you can attach to an object.
                      This can be useful for storing additional information
                      about the object in a structured format.
                  method:
                    type:
                      - string
                      - 'null'
                    enum:
                      - manual
                      - automatic
                      - null
                    description: The method used to issue payouts in the payment run.
                  payout_status:
                    type: object
                    properties:
                      canceled:
                        type: integer
                        description: The number of canceled payouts in this run.
                      failed:
                        type: integer
                        description: The number of failed payouts in this run.
                      paid:
                        type: integer
                        description: The number of paid payouts in this run.
                      total:
                        type: integer
                        description: The total number of payouts in this run.
                    required:
                      - canceled
                      - failed
                      - paid
                      - total
                    description: A breakdown of the payout statuses within this run.
                  region:
                    type:
                      - string
                      - 'null'
                    enum:
                      - all
                      - domestic
                      - international
                      - null
                    description: The region of payouts included in this payment run.
                  status:
                    type: string
                    enum:
                      - requires_approval
                      - processing
                      - complete
                      - canceled
                    description: The current status of the payment run.
                  type:
                    type: string
                    enum:
                      - all
                      - landlord
                      - supplier
                    description: The type of payment run to create.
                required:
                  - id
                  - created
                  - object
                  - amount
                  - approved_at
                  - completed_at
                  - currency
                  - description
                  - method
                  - payout_status
                  - region
                  - status
                  - type
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````